<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;

class WssFieldDozentEinsatzbezirke extends WssField
{
  protected function getValue($datamodulWert, $isFormular = false)
  {
    $dnr = $datamodulWert->getVarValueEx('id', 'dozent');

    if (!is_numeric($dnr) || $dnr < 1) {
      return '';
    }

    $dbwDozBezirk = new \DBWorkDozBezirk(1, true);
    $bezirke = $dbwDozBezirk->getEinsatzbezirkeByDnr($dnr);

    $result = '<ul class="einsatzbezirke">';
    foreach ($bezirke as $bezirk) {
      $result .= '<li>' . $bezirk->bezirk . '</li>';
    }
    $result .= '</ul>';

    return $result;
  }

  protected function encodeValue($value)
  {
    return $this->purifyHtml($value);
  }
}